
export function hasOwnProperty(o, p) {
  return Object.prototype.hasOwnProperty.call(o, p);
}

export function isFunction(fn) {
  return typeof fn === 'function'
}

export function isBoolean(b) {
  return typeof b === 'boolean'
}

export function isEmpty(t) {
  if (t === undefined || t === null) {
    return true
  }

  if (typeof t === 'object') {
    return !Object.keys(t).length
  }
  
  if (Array.isArray(t)) {
    return t.length
  }

  return false
}

export function noop() {}
